summaryrefslogtreecommitdiff
path: root/src/auditor/generate-auditor-basedb.sh
diff options
context:
space:
mode:
authorChristian Grothoff <grothoff@gnunet.org>2022-09-21 10:46:57 +0200
committerChristian Grothoff <grothoff@gnunet.org>2022-09-21 10:46:57 +0200
commitf365fc0730c2243c4fdff5de91f3ad575106398f (patch)
tree55c0ca250b1be1ffa885f4208530d67456763b75 /src/auditor/generate-auditor-basedb.sh
parent3fa9f3bb12635c6bbb50b763e2c955d73e2e37fa (diff)
downloadexchange-f365fc0730c2243c4fdff5de91f3ad575106398f.tar.gz
exchange-f365fc0730c2243c4fdff5de91f3ad575106398f.tar.bz2
exchange-f365fc0730c2243c4fdff5de91f3ad575106398f.zip
-try to fix more of test-*.sh
Diffstat (limited to 'src/auditor/generate-auditor-basedb.sh')
-rwxr-xr-xsrc/auditor/generate-auditor-basedb.sh21
1 files changed, 14 insertions, 7 deletions
diff --git a/src/auditor/generate-auditor-basedb.sh b/src/auditor/generate-auditor-basedb.sh
index a24942dfc..469abbc3e 100755
--- a/src/auditor/generate-auditor-basedb.sh
+++ b/src/auditor/generate-auditor-basedb.sh
@@ -32,22 +32,29 @@ function get_payto_uri() {
# Cleanup to run whenever we exit
function cleanup()
{
- for n in `jobs -p`
- do
- kill $n 2> /dev/null || true
- done
- wait
echo "Killing Libeufin..."
if test -f libeufin-sandbox.pid
then
echo "Killing libeufin sandbox"
- kill `cat libeufin-sandbox.pid 2> /dev/null` &> /dev/null || true
+ PID=`cat libeufin-sandbox.pid 2> /dev/null`
+ kill $PID 2> /dev/null || true
+ wait $PID
+ rm libeufin-sandbox.pid
fi
if test -f libeufin-nexus.pid
then
echo "Killing libeufin nexus"
- kill `cat libeufin-nexus.pid 2> /dev/null` &> /dev/null || true
+ PID=`cat libeufin-nexus.pid 2> /dev/null`
+ kill $PID 2> /dev/null || true
+ wait $PID
+ rm libeufin-nexus.pid
fi
+ echo "killing libeufin DONE"
+ for n in `jobs -p`
+ do
+ kill $n 2> /dev/null || true
+ done
+ wait
}
# Install cleanup handler (except for kill -9)